function [x,iter]=pontofixografico(phi,x0,tol,nmax,xmin,xmax)

%plot de phi e identidade
z=linspace(xmin,xmax,500);
plot(z,phi(z),'r');
hold on
plot(z,z,'k');


%inicializao
iter=1;
x=phi(x0);
error=abs(x-x0);
plot([x0 x x],[x x phi(x)],'g')

%Clculo
while error>tol && iter<nmax
    aux=phi(x);
    error=abs(x-aux);
    plot([x aux aux],[aux aux phi(aux)],'g')
    x=aux;
    iter=iter+1;
end

hold off